<?php

if (!defined('DIAFAN'))
{
    include __DIR__ . '/../../../includes/404.php';
}

class Ofdferma_admin_config extends Frame_admin
{
    public $variables = array(
        'config' => array(
            'login' => array(
                'type' => 'text',
                'name' => 'Логин'
            ),
            'password' => array(
                'type' => 'text',
                'name' => 'Пароль',
            ),
            'inn' => array(
                'type' => 'text',
                'name' => 'ИНН',
            ),
            'nalog' => array(
                'type' => 'select',
                'name' => 'Система налогооблажения',
                'select' => array(
                    array(
                        'id'    => 'Common',
                        'name'  => 'Общая',
                    ),
                    array(
                        'id'    => 'SimpleIn',
                        'name'  => 'упрощенная',
                    ),
                    array(
                        'id'    => 'SimpleInOut',
                        'name'  => 'упрощенная (доходы минус расходы)',
                    ),
                    array(
                        'id'    => 'Unified',
                        'name'  => 'единый налог на вмененный доход',
                    ),
                    array(
                        'id'    => 'UnifiedAgricultural',
                        'name'  => 'единый сельскохозяйственный налог',
                    ),
                    array(
                        'id'    => 'Patent',
                        'name'  => 'Патент',
                    ),
                )
            ),
            'nds' => array(
                'type' => 'select',
                'name' => 'НДС (по умолчанию)',
            ),
            'collapse' => array(
                'type' => 'checkbox',
                'name' => 'Свертка',
                'help' => 'Принудительная свертка позиций заказа'
            ),
            'collapse_name' => array(
                'type' => 'text',
                'name' => 'Название свертки',
                'help' => 'Текстовое название для позиции свертки'
            ),
            'status' => array(
                'type'      => 'select',
                'name'      => 'Статус, для которого формировать чек автоматически',
                'select'    => array(
                    array(
                        'id'    => '',
                        'name'  => '- не выбрано -'
                    )
                )
            ),
            'email' => array(
                'type' => 'text',
                'name' => 'Email',
                'help' => 'Электронный адрес для уведомлений об ошибках'
            ),
            'enabled' => array(
                'type' => 'checkbox',
                'name' => 'Включено',
                'help' => 'Включить/выключить интеграцию с кассой'
            )
        )
    );

    public $config = array(
        'config'
    );
    
    public function init(){
        
        $this -> variables['config']['nds']['select'] = $this->diafan->_ofdferma->getDataNds();
        
        foreach($this->diafan->_ofdferma->getDataStatus() as $aStatusItem){
            $this -> variables['config']['status']['select'][] = $aStatusItem;
        }
        
        parent::init();
    }    
}
