<?php

if (!defined('DIAFAN'))
{
    include dirname(__file__) . '/../../../includes/404.php';
}

class Ofdferma_admin extends Frame_admin
{
    public $table = 'ofdferma_receipt';

     public $variables_list = array(
        'checkbox' => '',
        'id' => array(
            'name' => 'Номер',
            'type' => 'numtext',
            'sql' => true
        ),
        'type' => array(
            'name' => 'Тип',
            'type' => 'numtext',
            'sql' => true
        ),
        'status_message' => array(
            'type' => 'numtext',
            'name' => 'Статус',
            'sql' => true
        ),
        'order_id' => array(
            'type' => 'numtext',
            'name' => 'Заказ',
            'sql' => true
        ),
        'total' => array(
            'type' => 'numtext',
            'name' => 'Сумма',
            'sql' => true
        ),
        'FN' => array(
            'type' => 'numtext',
            'name' => 'ФН',
            'sql' => true
        ),
        'RNM' => array(
            'type' => 'numtext',
            'name' => 'РНМ',
            'sql' => true
        ),
        'FDN' => array(
            'type' => 'numtext',
            'name' => 'ФДН',
            'sql' => true
        ),
        'FPD' => array(
            'type' => 'numtext',
            'name' => 'ФПД',
            'sql' => true
        ),
        'created_at' => array(
            'name' => 'Дата и время',
            'type' => 'datetime',
            'sql' => true
        ),
         
        //скрытые поля
        'inn' => array(
            'type' => 'none',
            'sql'  => true
        ),
        'status' => array(
            'type' => 'none',
            'sql'  => true
        ),
    );
     
    /**
    * @var array дополнительные групповые операции
    */
    public $group_action = array(
        "group_update" => array(
            'name'      => "Обновить статус",
            'module'    => 'ofdferma'
        ),
    );
     
    /**
    * @var array поля для фильтра
    */
    public $variables_filter = array (
        'type' => array(
            'type' => 'select',
            'name' => 'Тип',
            'select' => array(
                'Income'        => 'Возврат',
                'IncomeReturn'  => 'Приход'
            )
        ),
        'order_id' => array(
            'type' => 'text',
            'name' => 'ИД заказа',
        ),
        'created_at' => array(
            'name' => 'Период',
            'type' => 'date_interval',
        )
    );
    
    public function get_filter_variable_created_at($row)
    {
		$start = $finish = '';
        $aItems = explode('||', $this->diafan->get_nav_params['filter_created_at']);
        
		if (isset($aItems[0])){
			$start = $aItems[0];
		}
		
		if (isset($aItems[1])){
			$finish = $aItems[1];
		}
        
        $text = 'Период <input type="text" name="filter_start_created_at" value="'.($start ? date('d.m.Y', strtotime($start)) : '').'" class="timecalendar" placeholder="с"'.'> -
        <input type="text" name="filter_finish_created_at" value="'.($finish ? date('d.m.Y', strtotime($finish)) : '').'" class="timecalendar" placeholder="по"'.'>

        <div class="hr"></div>';
        return $text;
    }
    
    /**
    * Поиск по полю "Период"
    */
    public function save_filter_variable_created_at($row)
    {
        if (empty($_GET["filter_start_created_at"]) && empty($_GET["filter_finish_created_at"])){
            return;
        }

        $date_start = 0;
        if (! empty($_GET["filter_start_created_at"]))
        {
            $date_start = date('Y-m-d H:i:s', strtotime($_GET["filter_start_created_at"]));
        }
        $date_finish = 0;
        if (! empty($_GET["filter_finish_created_at"]))
        {
            $date_finish = date('Y-m-d H:i:s', strtotime($_GET["filter_finish_created_at"]));
        }

        if ($date_start && $date_finish)
        {
            $this->diafan->where .= " AND (e.created_at >= '".$date_start."' && e.created_at <= '".$date_finish."')";
        }
        elseif ($date_start)
        {
            $this->diafan->where = " AND (e.created_at >= '".$date_start."')";
        }
        elseif ($date_finish)
        {
            $this->diafan->where = " AND (e.created_at <= '".$date_finish."')";
        }

        if($date_start)
        {
            $this->diafan->get_nav .= ( $this->diafan->get_nav ? '&amp;' : '?' ).'filter_start_created_at='.$_GET["filter_start_created_at"];
        }
        if($date_finish)
        {
            $this->diafan->get_nav .= ( $this->diafan->get_nav ? '&amp;' : '?' ).'filter_finish_created_at='.$_GET["filter_finish_created_at"];
        }

        return "{$date_start}||{$date_finish}"; 
    }
    
    /*public function sql_query($id)
    {
        die(var_dump('ttt'));
        
        $fields = '';
        if($this->diafan->variables_list)
        {
            foreach ($this->diafan->variables_list as $name => $var)
            {
                if(empty($var["sql"]))
                        continue;

                $fields .= ', e.'.($this->diafan->variable_multilang($name) ? '['.$name.']' : $name);
            }
        }

        $this->diafan->where .= '';
        
        return DB::query_fetch_all("SELECT e.id"
        .$fields
        .$this->diafan->fields
        ." FROM {".$this->diafan->table."} as e"
        .$this->diafan->join
        . " WHERE 1=1"
        .( $this->diafan->where ? " ".$this->diafan->where : '' )
        ." GROUP BY e.id"
        .$this->diafan->sql_query_order()
        .' LIMIT '.$this->polog.', '.$this->diafan->nastr);
    }*/

    public function sql_query_order()
    {
        return ' ORDER BY e.created_at DESC';
    }
    
    public function show()
    {
        $this->diafan->list_row();
    }

    public function list_variable_id($row) {
        if ('CONFIRMED' == $row['status']){
            return '<div><a href="' .$this->diafan->_ofdferma->getCheckLink($row). '" target="_blank">'. $row['id'] .'</a></div>';
        }else{
            return '<div>'. $row['id'] .'</div>';
        }
    }
    
    public function list_variable_type($row) {
        return '<div>' .$this->diafan->_ofdferma->getTextType($row['type']). '</div>';
    }

    public function list_variable_order_id($row) {
        return sprintf(
            '<div><a href="%sshop/order/edit%s/">Заказ № %s</a></div>',
            BASE_PATH_HREF,
            $row['order_id'],
            $row['order_id']
        );
    }
    
    public function list_variable_created_at($row) {
        return '<div>'.date('d.m.Y h:i:s', strtotime($row['created_at'])).'</div>';
    }
}
