<?php

/**
 * Установка модуля
 *
 */
if (!defined('DIAFAN')) {
    $path = __FILE__;
    $i = 0;
    while (!file_exists($path . '/includes/404.php')) {
        if ($i == 10)
            exit;
        $i++;
        $path = dirname($path);
    }
    include $path . '/includes/404.php';
}

class Ofdferma_install extends Install {

    /**
     * @var string название
     */
    public $title = "OFD Ferma";

    public $tables = array(
        array(
            "name" => "ofdferma_receipt",
            "fields" => array(
                array(
                    "name" => "id",
                    "type" => "VARCHAR(36) NOT NULL"
                ),
                array(
                    "name" => "type",
                    "type" => "VARCHAR(12) NOT NULL"
                ),
                array(
                    "name" => "inn",
                    "type" => "VARCHAR(20) NOT NULL"
                ),
                array(
                    "name" => "status",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "status_message",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "order_id",
                    "type" => "INT(11) NOT NULL"
                ),
                array(
                    "name" => "total",
                    "type" => "DECIMAL(8,2) NOT NULL"
                ),
                array(
                    "name" => "FN",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "RNM",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "FDN",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "FPD",
                    "type" => "VARCHAR(50) NOT NULL"
                ),
                array(
                    "name" => "created_at",
                    "type" => "DATETIME NOT NULL"
                ),
                array(
                    "name" => "updated_at",
                    "type" => "DATETIME NOT NULL"
                )
            ),
            "keys" => array(
                "PRIMARY KEY(id)"
            )
        ),
        array(
            "name" => "ofdferma_tovars",
            "fields" => array(
                array(
                    "name" => "tovar_id",
                    "type" => "INT(11) UNSIGNED NOT NULL"
                ),
                array(
                    "name" => "nds_id",
                    "type" => "VARCHAR(20) NOT NULL"
                )
            ),
            "keys" => array(
                "PRIMARY KEY(tovar_id)"
            )
        )
    );
    
    /**
     * @var array записи в таблице {modules}
     */
    public $modules = array(
        array(
            "name" => "ofdferma",
            "admin" => true,
            "site" => true,
            "site_page" => false,
        ),
    );

    /**
     * @var array меню административной части
     */
    public $admin = array(
        array(
            "name" => "OFD Ferma",
            "rewrite" => "ofdferma",
            "group_id" => "4",
            "sort" => 10,
            "act" => true,
            "children" => array(
                array(
                    "name" => "Настройки",
                    "rewrite" => "ofdferma/config"
                )
            )
        ),
    );
    
    /**
     * Настройки
     */
    public $config = array(
        array(
            'name' => 'nalog',
            'value' => 'Common'
        ),
        array(
            'name' => 'nds',
            'value' => 'Vat0'
        ),
        array(
            'name' => 'status',
            'value' => ''
        ),
        array(
            'name' => 'enabled',
            'value' => '1'
        )
    );
}
